<template>
  <b-nav class="nav-vertical">
    <li v-for="p in parameters" :key="p.index" class="nav-item">
      <ParametersPanelSet v-if="p.type === 'group'" :set="p" />
      <ParametersPanelInput v-else :parameter="p" />
    </li>
  </b-nav>
</template>

<script>
export default {
  props: {
    parameters: {
      type: Array,
      default: () => [],
    },
  },
};
</script>
